=== debian/control ===
Source: rust-proxmox-offline-mirror
Section: rust
Priority: optional
Build-Depends: bash-completion,
               cargo:native,
               debhelper-compat (= 13),
               dh-cargo (>= 25),
               fonts-lato,
               fonts-open-sans,
               latexmk,
               librust-anyhow-1+default-dev,
               librust-base64-0.13+default-dev,
               librust-bzip2-0.4+default-dev,
               librust-flate2-1+default-dev (>= 1.0.22-~~),
               librust-globset-0.4+default-dev (>= 0.4.8-~~),
               librust-hex-0.4+default-dev (>= 0.4.3-~~),
               librust-nix-0.26+default-dev (>= 0.26.1-~~),
               librust-openssl-0.10+default-dev,
               librust-proxmox-apt-0.11+default-dev,
               librust-proxmox-apt-api-types-1+default-dev,
               librust-proxmox-async-0.4+default-dev,
               librust-proxmox-http-0.9+client-sync-dev,
               librust-proxmox-http-0.9+client-trait-dev,
               librust-proxmox-http-0.9+default-dev,
               librust-proxmox-router-2+cli-dev,
               librust-proxmox-schema-3+api-macro-dev (>= 3.1.4-~~),
               librust-proxmox-schema-3+default-dev (>= 3.1.4-~~),
               librust-proxmox-section-config-2+default-dev,
               librust-proxmox-serde-0.1+default-dev,
               librust-proxmox-subscription-0.4+api-types-dev (>= 0.4.2-~~),
               librust-proxmox-subscription-0.4+default-dev (>= 0.4.2-~~),
               librust-proxmox-sys-0.6+default-dev,
               librust-proxmox-sys-0.6+timer-dev,
               librust-proxmox-time-2+default-dev,
               librust-regex-1+default-dev (>= 1.5.5-~~),
               librust-sequoia-openpgp-1+default-dev (>= 1.12-~~),
               librust-serde-1+default-dev,
               librust-serde-1+derive-dev,
               librust-serde-json-1+default-dev,
               librust-walkdir-2+default-dev (>= 2.3.1-~~),
               librust-xz2-0.1+default-dev,
               libstd-rust-dev,
               patchelf,
               python3-sphinx,
               rsync,
               rustc:native,
               texlive-fonts-recommended,
               texlive-xetex,
Maintainer: Proxmox Support Team <support@proxmox.com>
Standards-Version: 4.6.1
Vcs-Git: git://git.proxmox.com/git/proxmox-offline-mirror.git
Vcs-Browser: https://git.proxmox.com/?p=proxmox-offline-mirror.git
X-Cargo-Crate: proxmox-offline-mirror
Rules-Requires-Root: no

Package: proxmox-offline-mirror
Architecture: any
Multi-Arch: allowed
Section: admin
Depends: proxmox-archive-keyring,
         proxmox-offline-mirror-docs,
         ${cargo:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: ${cargo:Recommends},
Suggests: ${cargo:Suggests},
Provides: ${cargo:Provides},
Built-Using: ${cargo:Built-Using},
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: Proxmox offline repository mirror and subscription key manager
 This package contains the proxmox-offline-mirror tool for managing Proxmox
 offline APT
 repositories and subscription keys.

Package: proxmox-offline-mirror-docs
Architecture: all
Section: admin
Depends: ${misc:Depends},
Breaks: proxmox-offline-mirror (<< 0.2.0~),
Replaces: proxmox-offline-mirror (<< 0.2.0~),
Description: Proxmox offline repository mirror and subscription key manager
 This package contains the documentation for proxmox-offline-mirror.

Package: proxmox-offline-mirror-helper
Architecture: any
Multi-Arch: allowed
Section: admin
Depends: proxmox-archive-keyring,
         proxmox-offline-mirror-docs,
         ${cargo:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: ${cargo:Recommends},
Suggests: ${cargo:Suggests},
Provides: ${cargo:Provides},
Breaks: proxmox-offline-mirror (<< 0.3.0~),
Replaces: proxmox-offline-mirror (<< 0.3.0~),
Built-Using: ${cargo:Built-Using},
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: Proxmox offline repository mirror and subscription key manager helper
 This package contains the proxmox-offline-mirror-helper binary for managing
 Proxmox offline APT repositories and subscription keys on Proxmox offline
 systems.
